3dsbannermaker python 3.4.2

Discussion in '3DS - Homebrew Development and Emulators' started by Timburpton, Dec 3, 2014.

  1. Timburpton
    OP

    Timburpton GBAtemp Advanced Fan

    Member
    591
    133
    Nov 18, 2014
    3dsbannermaker no work with 3.4.2.

    I need python 3.4.2 because some scripts i using need python 3.

    I used 2to3 to try convert the 3dsbannermaker script to support python3 but still got some error.

    " header+=(ctp1+ctp2)
    TypeError: Can't convert 'bytes' object to str implicitly"
     
  2. Pestilence204
    This message by Pestilence204 has been removed from public view by Cyan, Dec 3, 2014, Reason: one picture post.
    Dec 3, 2014
  3. Timburpton
    OP

    Timburpton GBAtemp Advanced Fan

    Member
    591
    133
    Nov 18, 2014
    what
     
  4. Asia81

    Asia81 In my Ecchi World <3

    Member
    5,147
    2,565
    Nov 15, 2014
    France
    Albi
    Work with Python 2.7, try it
     
  5. Vappy

    Vappy GBAtemp Advanced Maniac

    Member
    1,508
    1,155
    May 23, 2012
    You can have two versions of Python installed. Just have Python 2.7 under a different directory than Python 3, the batch files included with bannermaker are already set to use Python 2 with the "-2" flag in them.
     
  6. Timburpton
    OP

    Timburpton GBAtemp Advanced Fan

    Member
    591
    133
    Nov 18, 2014
    I fixing with #! python2
     
    hippy dave likes this.